{
  "schema_version": "1.4.0",
  "id": "GHSA-6cq4-xx4r-xc82",
  "modified": "2022-05-13T01:19:44Z",
  "published": "2022-05-13T01:19:44Z",
  "aliases": [
    "CVE-2018-19107"
  ],
  "details": "In Exiv2 0.26, Exiv2::IptcParser::decode in iptc.cpp (called from psdimage.cpp in the PSD image reader) may suffer from a denial of service (heap-based buffer over-read) caused by an integer overflow via a crafted PSD image file.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2018-19107"
    },
    {
      "type": "WEB",
      "url": "https://github.com/Exiv2/exiv2/issues/427"
    },
    {
      "type": "WEB",
      "url": "https://github.com/Exiv2/exiv2/pull/518"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2019:2101"
    },
    {
      "type": "WEB",
      "url": "https://lists.debian.org/debian-lts-announce/2019/02/msg00038.html"
    },
    {
      "type": "WEB",
      "url": "https://lists.debian.org/debian-lts-announce/2023/01/msg00004.html"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/4056-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-125"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2018-11-08T08:29:00Z"
  }
}